
format "\n--- Start of Orbx export  : % current file:<%>, filePath: <%>---\n" "hello1" maxFileName maxFilePath

--- Orbx export with MaxScript ---
-- optionally overwrite some of the scene export settings :
rd = renderers.current
rd.exporter_pathType = 0 -- //0: UserDefinedFolder, 1:MaxFile folder, 2:StdSceneFolder, 3:StdExportFolder, 4:StdTempFolder,
rd.exporter_path = "c:/tmp"
rd.exporter_shortname = "testOut.orbx"
rd.exporter_useAnimation = 1
rd.exporter_startTime = 0 * 160 --frame 0 : in Ticks unit : 160 ticks per frame (at 30 frame per seconds..)
rd.exporter_endTime = 50 * 160 --frame 50

-- make sure the Octane viewport is closed before export (or else will only export current frame with Quick Export) :
OctaneMaxFPI.ViewportSetWindowState 0 -- close the Octane viewport

-- optionally set some script for checking export progress:
OctaneMaxFPI.OCMSetUserConfigValue "PreExportScript" "print \"Export started - hello2..\"\n"
OctaneMaxFPI.OCMSetUserConfigValue "ExportProgressScript" "format \"hello3 % \\n\"OctaneMaxFPI.orbxExportTextStatus"
OctaneMaxFPI.OCMSetUserConfigValue "PostExportScript" "format \"hello4 % \n\"OctaneMaxFPI.orbxExportTextStatus"


octVers = OctaneMaxFPI.OCMGetVersion()
if octVers >= 14000200 then
(
	--new setting added in Octane Preferences / Export tab, from version 2023.1 - 14.02
	OctaneMaxFPI.OCMSetUserConfigValueInt "ExportOrbxOverwriting" 1  --0:dialog, 1: Always overwrite, -1 : Never
)

-- Do the export --
OctaneMaxFPI.OrbxLocalExport() --will use exporter_shortname if viewport is not open (normal export), or a numbered filename for quick export


format "\n--- End of export report : % hello5---\n" OctaneMaxFPI.orbxExportTextStatus

-- read export status
OctaneMaxFPI.orbxExportTextStatus --eg "Export Finished"
OctaneMaxFPI.orbxExportStatus -- 0:Unknown, 1:started, 2:frame exported, 3:Finished normally 4:Failed
OctaneMaxFPI.orbxExportFrameCount

format "\n hello6: Status string <%>, status value: %, frame count : %\n" OctaneMaxFPI.orbxExportTextStatus OctaneMaxFPI.orbxExportStatus OctaneMaxFPI.orbxExportFrameCount
